[EME] Query for GMP updates if content requests a newer CDM version

NEW
Unassigned

Status

()

4 years ago
4 years ago

People

(Reporter: cpearce, Unassigned)

Tracking

(Blocks: 1 bug)

Firefox Tracking Flags

(Not tracked)

Details

Content can query for a specific version of a CDM. If it does so and it fails to find the version it expects, Gecko emits a "mediakeys-request" observerservice notification, with "cdm-insufficient-version" status in the JSON in its "data" field.

We should check for CDM/GMP updates when this happens, if we have not already done so due a "cdm-insufficient-version" status notification recently.
You need to log in before you can comment on or make changes to this bug.